Bug 113592 - LibreLogo: add fallback localization to fix platform issues
Summary: LibreLogo: add fallback localization to fix platform issues
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords: regression
Depends on:
Blocks: LibreLogo
  Show dependency treegraph
 
Reported: 2017-11-02 09:42 UTC by László Németh
Modified: 2017-12-07 08:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2017-11-02 09:42:45 UTC
Description:
LibreLogo doesn't work on some macOS platforms. Problem reported by Andreas Formiconi, University of Florence.

There is no LibreLogo localization on Ubuntu (regression): https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1302456

Fallback localization is a temporary solution to fix LibreLogo usage on platforms supported by LibreOffice.


Steps to Reproduce:
Install libreoffice-librelogo on Ubuntu, and try localization (package doesn't contain LibreLogo property files).

Check LibreLogo on macOS 10.6.8. 10.7.5, 10.7.8.


Actual Results:  
Only English LibreLogo localization on Ubuntu.

Error message on MacOS platform

Expected Results:
Localizations on Ubuntu

Working LibreLogo on macOS


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux i686; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 Commit Notification 2017-11-05 21:18:25 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b4fd34995262a161f30e1db8d087b0f01dfef37

tdf#113592 LibreLogo: add fallback localization to fix platform issues

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-11-06 16:49:31 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=08fa0c2d549a662857028783a10292667058fc1d&h=libreoffice-5-4

tdf#113592 LibreLogo: add fallback localization to fix platform issues

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2017-12-07 08:44:29 UTC
A polite ping to László Németh: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks